Get All Conversations with a Persona

GET
GEThttps://api.hyperleapai.com/conversations/persona/{personaId}

Get all the persona conversations for the specified caller, 10 at a time.

Authenticated with your API key in the x-hl-api-key request header.

Path parameters

personaIdstring · uuidrequired

Query parameters

continuationTokenstringoptional

Responses

200OKapplication/json
ChatEntryResponse[]nullable
conversationIdstring · uuid
aiSystemstringnullable
modelstringnullable
personaIdstring · uuidnullable
personaVersionIdstring · uuidnullable
conversationStatusstringnullable
conversationNamestringnullable
HyperleapChatMessageResponse[]nullable
chatMessagesCountinteger · int32nullable
chatStartedbooleannullable
areChatMessagesInBlobbooleannullable
chatMessagesBlobUristringnullable
objectnullable
objectnullable
externalUserIdstringnullable
isActiveboolean
isDeletedboolean
promptTokensinteger · int32nullable
completionTokensinteger · int32nullable
totalTokensinteger · int32nullable
continuationTokenstringnullable
Example payload
{
  "data": [
    {
      "conversationId": "string",
      "aiSystem": "string",
      "model": "string",
      "personaId": "string",
      "personaVersionId": "string",
      "conversationStatus": "string",
      "conversationName": "string",
      "chatMessages": [
        {
          "role": null,
          "content": null,
          "toolCallId": null,
          "name": null,
          "feedbacks": null
        }
      ],
      "chatMessagesCount": 0,
      "chatStarted": true,
      "areChatMessagesInBlob": true,
      "chatMessagesBlobUri": "string",
      "configuration": {
        "key": "string"
      },
      "metadata": {
        "key": {}
      },
      "externalUserId": "string",
      "isActive": true,
      "isDeleted": true,
      "promptTokens": 0,
      "completionTokens": 0,
      "totalTokens": 0
    }
  ],
  "continuationToken": "string"
}
400Bad Requestapplication/json

Array of ModelError

Exception
MethodBase
messageanytruncated
dataanytruncated
innerExceptionanytruncated
helpLinkanytruncated
sourceanytruncated
hResultanytruncated
stackTraceanytruncated
errorMessageanytruncated
Example payload
[
  {
    "exception": {
      "targetSite": {
        "memberType": 1,
        "name": "string",
        "declaringType": {
          "name": null,
          "customAttributes": null,
          "namespace": null,
          "assemblyQualifiedName": null,
          "fullName": null
        }
      }
    }
  }
]
500Internal Server Error

No response body.

curl -X GET "https://api.hyperleapai.com/conversations/persona/{personaId}" \
  -H "x-hl-api-key: YOUR_API_KEY"
Example response · 200
{
  "data": [
    {
      "conversationId": "string",
      "aiSystem": "string",
      "model": "string",
      "personaId": "string",
      "personaVersionId": "string",
      "conversationStatus": "string",
      "conversationName": "string",
      "chatMessages": [
        {
          "role": null,
          "content": null,
          "toolCallId": null,
          "name": null,
          "feedbacks": null
        }
      ],
      "chatMessagesCount": 0,
      "chatStarted": true,
      "areChatMessagesInBlob": true,
      "chatMessagesBlobUri": "string",
      "configuration": {
        "key": "string"
      },
      "metadata": {
        "key": {}
      },
      "externalUserId": "string",
      "isActive": true,
      "isDeleted": true,
      "promptTokens": 0,
      "completionTokens": 0,
      "totalTokens": 0
    }
  ],
  "continuationToken": "string"
}

Explore Hyperleap AI

AI customer service agents that answer FAQs, capture leads, and book appointments across Website, WhatsApp, Instagram, and Facebook Messenger.